Bug 626984 - SANE no longer finds HP scanner
SANE no longer finds HP scanner
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 15:20 EDT by Pavel Alexeev
Modified: 2011-06-24 10:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-16 08:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"hp-check -t" log (12.93 KB, text/plain)
2010-08-24 15:20 EDT, Pavel Alexeev
no flags Details
/etc/sane.d/dll.conf (682 bytes, text/plain)
2010-08-25 07:17 EDT, Pavel Alexeev
no flags Details
/etc/sane.d/dll.d/hpaio (6 bytes, text/plain)
2010-08-25 07:18 EDT, Pavel Alexeev
no flags Details
scanimage-strace.out.bz2 (2.76 KB, application/x-bzip)
2010-11-25 09:29 EST, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2010-08-24 15:20:33 EDT
Created attachment 440740 [details]
"hp-check -t" log

Description of problem:
I have HP MFU Photosmart C4100 series which works fine in Fedora 11. After update to Fedora 13 it does not even detected as scanner. BTW sane-find-scanner can see it:
$ sane-find-scanner 
[skip]
  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0 [HP], product=0x5711 [Photosmart C4100 series]) at libusb:001:012
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.
[skip]

$ scanimage -L
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).


Version-Release number of selected component (if applicable):
$ rpm -qa 'hp*' '*sane*'
libsane-hpaio-3.10.6-1.fc13.i686
hplip-libs-3.10.6-1.fc13.i686
hplip-3.10.6-1.fc13.i686
hplip-common-3.10.6-1.fc13.i686
hplip-gui-3.10.6-1.fc13.i686
xsane-0.997-10.fc13.i686
hpijs-3.10.6-1.fc13.i686
sane-backends-libs-1.0.21-2.fc13.i686
sane-backends-1.0.21-2.fc13.i686
xsane-common-0.997-10.fc13.i686

How reproducible:
Always
Comment 1 Jiri Popelka 2010-08-25 04:51:05 EDT

*** This bug has been marked as a duplicate of bug 622730 ***
Comment 2 Jiri Popelka 2010-08-25 06:57:44 EDT
I didn't check the versions of packages, sorry, reopening.
Please attach the files
/etc/sane.d/dll.conf
and
/etc/sane.d/dll.d/hpaio
to this report.
Comment 3 Pavel Alexeev 2010-08-25 07:17:52 EDT
Created attachment 440888 [details]
/etc/sane.d/dll.conf
Comment 4 Pavel Alexeev 2010-08-25 07:18:42 EDT
Created attachment 440889 [details]
/etc/sane.d/dll.d/hpaio
Comment 5 Pavel Alexeev 2010-09-15 05:32:59 EDT
Is there any progress? Can I help you to resolve this problem?
Comment 6 Pavel Alexeev 2010-09-26 16:07:00 EDT
I'm kill many time on this weekend to find reason...
What is very interesting here - it work without any manipulation just after connect on my notebook also with Fedora 13. Both system is up to date (but notebook also have enabled updates-testing repository, but I think it is irrelevant there)

I try compare installed components and configs - nothing found interesting.

But I think it may be related. After plug in cable in log appeared:
Sep 26 23:16:27 x-www kernel: usb 1-1: new high speed USB device using ehci_hcd and address 58
Sep 26 23:16:27 x-www kernel: usb 1-1: New USB device found, idVendor=03f0, idProduct=5711
Sep 26 23:16:27 x-www kernel: usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Sep 26 23:16:27 x-www kernel: usb 1-1: Product: Photosmart C4100 series
Sep 26 23:16:27 x-www kernel: usb 1-1: Manufacturer: HP
Sep 26 23:16:27 x-www kernel: usb 1-1: SerialNumber: MY67AC10PM04J7
Sep 26 23:16:27 x-www kernel: usblp0: USB Bidirectional printer dev 58 if 1 alt 0 proto 2 vid 0x03F0 pid 0x5711
Sep 26 23:16:27 x-www kernel: scsi44 : usb-storage 1-1:1.3
Sep 26 23:16:27 x-www udev-configure-printer: invalid or missing IEEE 1284 Device ID
Sep 26 23:16:28 x-www kernel: scsi 44:0:0:0: Direct-Access     HP       Photosmart C4183 1.00 PQ: 0 ANSI: 2
Sep 26 23:16:28 x-www kernel: sd 44:0:0:0: Attached scsi generic sg3 type 0
Sep 26 23:16:28 x-www kernel: sd 44:0:0:0: [sdd] Attached SCSI removable disk
Sep 26 23:16:28 x-www hp[7113]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Sep 26 23:16:29 x-www python: io/hpmud/pp.c 627: unable to read device-id ret=-1
Sep 26 23:16:29 x-www udev-configure-printer: Re-enabled printer ipp://localhost:631/printers/HP_PhotoSmart_C4183
Sep 26 23:16:29 x-www udev-configure-printer: Re-enabled printer ipp://localhost:631/printers/HP_PhotoSmart_C4183

Though, device is found, but communication with it is unsuccessful (io/hpmud/pp.c 627: unable to read device-id ret=-1).
What I can do with it now? In what side dig?
Comment 7 Tim Waugh 2010-11-15 12:35:59 EST
What does 'SANE_DEBUG_HPAIO=255 scanimage -L' show?
Comment 8 Pavel Alexeev 2010-11-17 06:07:58 EST
Nothing interesting I think:
$ SANE_DEBUG_HPAIO=255 scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
Comment 9 Tim Waugh 2010-11-18 06:18:08 EST
Looks like the 'hpaio' device is not even enabled.  Here's what I get with no devices connected:

$ SANE_DEBUG_HPAIO=255 scanimage -L
[sanei_debug] Setting debug level of hpaio to 255.
[hpaio] sane_hpaio_init(): scan/sane/hpaio.c 1593
[hpaio] sane_hpaio_get_devices(local=0): scan/sane/hpaio.c 1612

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
[hpaio] sane_hpaio_exit(): scan/sane/hpaio.c 1606

How about this?:

SANE_DEBUG_DLL=255 scanimage -L
Comment 10 Pavel Alexeev 2010-11-18 17:29:03 EST
Why is not enabled? It already listed in USB:

$ lsusb 
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 046d:c018 Logitech, Inc. Optical Wheel Mouse
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 006: ID 03f0:5711 Hewlett-Packard PhotoSmart C4100 series
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

But still does not in HPIO:

$ SANE_DEBUG_DLL=255 scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
Comment 11 Tim Waugh 2010-11-19 05:30:37 EST
Er... you don't get any debug output at all from the dll backend, even?

Are you using a different shell than bash, perhaps?  Try this:

SANE_DEBUG_DLL=255
export SANE_DEBUG_DLL
scanimage -L

You should get loads of output like this:

[dll] load: searching backend `epson2' in `/usr/lib64/sane'
[dll] load: trying to load `/usr/lib64/sane/libsane-epson2.so.1'
[dll] load: dlopen()ing `/usr/lib64/sane/libsane-epson2.so.1'
[dll] init: initializing backend `epson2'
[dll] init: backend `epson2' is version 1.0.124
Comment 12 Pavel Alexeev 2010-11-19 09:59:22 EST
No, I use bash version 4.1.7.

[pasha@x-www temp]$ SANE_DEBUG_DLL=255
[pasha@x-www temp]$ export SANE_DEBUG_DLL
[pasha@x-www temp]$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
Comment 13 Tim Waugh 2010-11-19 10:33:03 EST
Changing component back to sane-backends.
Comment 14 Tim Waugh 2010-11-19 10:33:27 EST
Nils: any idea why we can't get debug information out of scanimage?
Comment 15 Nils Philippsen 2010-11-19 10:53:09 EST
Tim: This is really strange...

Pavel, Tim: which version of sane-backends do you both have installed?
Comment 16 Pavel Alexeev 2010-11-19 12:28:19 EST
$ rpm -q sane-backends
sane-backends-1.0.21-4.fc13.i686
Comment 17 Nils Philippsen 2010-11-23 07:54:31 EST
Hm. I can only guess that "something" (whatever) filters away stderr output. Let's try this a bit differently:

SANE_DEBUG_DLL=255 scanimage -L 2>&1 >&2 | tee /tmp/scanimage.out

Please run the above and tell us if there is more output, if yes, attach the resulting /tmp/scanimage.out file. Thanks.
Comment 18 Nils Philippsen 2010-11-23 07:59:35 EST
Uhm that was a bit excessive, try this instead:

SANE_DEBUG_DLL=255 scanimage -L 2>&1 | tee /tmp/scanimage.out
Comment 19 Pavel Alexeev 2010-11-23 14:19:12 EST
No it is not true:
$ SANE_DEBUG_DLL=255 scanimage -L 2>&1 | tee /tmp/scanimage.out

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
[pasha@x-www temp]$ 
[pasha@x-www temp]$ cat /tmp/scanimage.out 

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

I think it happened because your scanner identified and then wirk with it delegated to particular backand.

In my case it is not found at all.
Comment 20 Pavel Alexeev 2010-11-23 14:25:15 EST
If look to strace of scanimage -L run for scanner device it is opened, some information read from it, then it sucessfully closed. Nope. No other actions:
getdents(3, /* 4 entries */, 32768)     = 64
open("/dev/bus/usb/001/003", O_RDWR)    = 4
ioctl(4, USBDEVFS_CONNECTINFO, 0xbfb0ea38) = 0
read(4, "\22\1\0\2\0\0\0@\360\3\21W\0\1\1\2\3\1", 18) = 18
read(4, "\t\2\203\0\4\1\0\300", 8)      = 8
read(4, "\1\t\4\0\0\3\377\314\0\0\7\5\1\2\0\2\0\7\5\202\2\0\2\0\7\5\203\3\10\0\7\t"..., 123) = 123
close(4)                                = 0
open("/dev/bus/usb/001/001", O_RDWR)    = -1 EACCES (Permission denied)

What is very interesting, lsusb according strace do absolutely the same steps to get USBDEVFS_CONNECTINFO and then print device information at least.
Comment 21 Nils Philippsen 2010-11-24 11:18:20 EST
(In reply to comment #19)
> I think it happened because your scanner identified and then wirk with it
> delegated to particular backand.
> 
> In my case it is not found at all.

This is beginning to get weird -- I don't have any scanners connected and to be safe, I retried this on my Rawhide VM (1005 no scanner hardware connected there ;-):

--- 8< ---
nils@rawhide:~> scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
nils@rawhide:~> scanimage -L 2>&1 | wc -l
5
nils@rawhide:~> SANE_DEBUG_DLL=255 scanimage -L 2>&1 | wc -l
484
--- >8 ---

So regardless of your configuration you should at least get these lines at the beginning (version numbers may differ):

--- 8< ---
[sanei_debug] Setting debug level of dll to 255.
[dll] sane_init: SANE dll backend version 1.0.12 from sane-backends 1.0.21
[dll] sane_init/read_dlld: processing /etc/sane.d/dll.d ...
[dll] sane_init/read_dlld: done.
[dll] sane_init/read_config: reading dll.conf
...
--- >8 ---

I'm at a loss why you don't see anything... Can you try this out with a different user, on a different machine?
Comment 22 Pavel Alexeev 2010-11-25 06:35:34 EST
On different machine, my previous notebook with clear Fedora 14 installation, not upgraded it was worked out of the box.

On this machine I tried from two users - one limited and from root.

If you want, I can provide ssh access on that machine. If it helps, please contact me and sent public rsa key,
Comment 23 Nils Philippsen 2010-11-25 08:33:17 EST
(In reply to comment #22)
> On different machine, my previous notebook with clear Fedora 14 installation,
> not upgraded it was worked out of the box.

Do you mean the scanner works there, or the debugging output shows?

> On this machine I tried from two users - one limited and from root.
> 
> If you want, I can provide ssh access on that machine. If it helps, please
> contact me and sent public rsa key,

Oh, I'd like to avoid that unless we've run out of other options.

In order to have something comparable (we're trying to find out why debugging output doesn't work right now, apparently this is not related to your scanner), please detach your scanner from the machine, then run these commands as root:

strace SANE_DEBUG_DLL=255 strace -o /tmp/scanimage-strace.out scanimage -L
bzip2 /tmp/scanimage-strace.out

Afterwards, please attach the resulting file /tmp/scanimage-strace.out. Thanks.
Comment 24 Pavel Alexeev 2010-11-25 09:29:30 EST
Created attachment 462911 [details]
scanimage-strace.out.bz2

(In reply to comment #23)
> (In reply to comment #22)
> > On different machine, my previous notebook with clear Fedora 14 installation,
> > not upgraded it was worked out of the box.
> 
> Do you mean the scanner works there, or the debugging output shows?
Scanner work out of the box.

> In order to have something comparable (we're trying to find out why debugging
> output doesn't work right now, apparently this is not related to your scanner),
> please detach your scanner from the machine, then run these commands as root:
> 
> strace SANE_DEBUG_DLL=255 strace -o /tmp/scanimage-strace.out scanimage -L
> bzip2 /tmp/scanimage-strace.out
> 
> Afterwards, please attach the resulting file /tmp/scanimage-strace.out. Thanks.

I think you mean
SANE_DEBUG_DLL=255 strace -o /tmp/scanimage-strace.out scanimage -L
because. This output attached.
Comment 25 Daniel F. Twum 2011-02-01 07:46:45 EST
I am also experiencing the same issue with Fedora 14 (upgraded to latest version as of this past weekend):


[myusbpc@i5dell Downloads]$ sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0 [HP], product=0x5711 [Photosmart C4100 series]) at libusb:002:006
found USB scanner (vendor=0x8086, product=0x0188) at libusb:002:005
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.

  # You may want to run this program as root to find all devices. Once you
  # found the scanner devices, be sure to adjust access permissions as
  # necessary.
[myusbpc@i5dell Downloads]$ scanimage -L
device `v4l:/dev/video0' is a Noname Laptop_Integrated_Webcam_1.3M virtual device
[myusbpc@i5dell Downloads]$ scanimage -L
device `v4l:/dev/video0' is a Noname Laptop_Integrated_Webcam_1.3M virtual device
[myusbpc@i5dell Downloads]$ A

----------

I can print to the HP C4100 but it won't scan

----------
It used to work with Fedora 13 without any issues.

Thanks,
---Daniel
Comment 26 Daniel F. Twum 2011-02-01 07:48:13 EST
[myusbpc@i5dell Downloads]$ rpm -qa 'hp*' '*sane*'
sane-backends-libs-1.0.21-5.fc14.i686
hplip-common-3.10.9-14.fc14.i686
hplip-libs-3.10.9-14.fc14.i686
sane-backends-1.0.21-5.fc14.i686
hpijs-3.10.9-14.fc14.i686
sane-backends-libs-gphoto2-1.0.21-5.fc14.i686
Comment 27 Tim Waugh 2011-02-03 07:11:16 EST
You don't have libsane-hpaio installed.
Comment 28 Pavel Alexeev 2011-02-03 12:04:49 EST
I have:
$ rpm -q libsane-hpaio
libsane-hpaio-3.10.9-14.fc13.i686
Comment 29 Tim Waugh 2011-02-04 08:35:27 EST
Pavel, what does 'rpm -V sane-backends' say?
Comment 30 Pavel Alexeev 2011-02-04 09:46:29 EST
$ rpm -V sane-backends
S.5....T.  c /etc/sane.d/dll.conf
Comment 31 Nils Philippsen 2011-04-04 07:51:27 EDT
A new upstream version with many bugfixes and enhancements has been released.
Please check whether debugging works with this updated package:

https://admin.fedoraproject.org/updates/sane-backends-1.0.22-1.fc13
Comment 32 Pavel Alexeev 2011-04-05 07:15:06 EDT
Ok, I've install it:
$ rpm -q sane-backends
sane-backends-1.0.22-1.fc14.i686

Nothing changed for me at all:

$ sane-find-scanner 

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0, product=0x5711) at libusb:001:004
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.

  # You may want to run this program as root to find all devices. Once you
  # found the scanner devices, be sure to adjust access permissions as
  # necessary

$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

$ SANE_DEBUG_DLL=255 scanimage -L 2>&1

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
Comment 33 Bug Zapper 2011-06-01 06:33:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 34 Nils Philippsen 2011-06-01 07:44:48 EDT
It seems I've dropped this, sorry.

I've just rechecked that setting SANE_DEBUG_DLL=255 in the environment lets "scanimage -L" spew out lots of debugging information. Would you please recheck this with current updates? I still don't have a clue why you don't see any debugging output, but would you run the following alternative commands and post their output? Thanks.

which scanimage
env -i SANE_DEBUG_DLL=255 scanimage -L
Comment 35 Pavel Alexeev 2011-06-02 16:01:10 EDT
I also don't understand what happened.

[pasha@x-www ~]$ which scanimage
/usr/bin/scanimage
[pasha@x-www ~]$ env -i SANE_DEBUG_DLL=255 scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
Comment 36 Nils Philippsen 2011-06-03 08:41:34 EDT
Something seems to throw away stderr here, I am totally puzzled about this.

Pavel, can you please describe exactly what the environment is that you use:

- Which shell do you use? Do you have any non-standard bashrc/profile snippets in use?
- Are you logged in via a graphical terminal (which one), SSH, or at a virtual console?
- Do you see this only as a normal user, or also as "root"? Have you tried this from a different, freshly created user?
Comment 37 Pavel Alexeev 2011-06-07 14:28:54 EDT
Nils, sorry for the delay.

I use bash as by shell.
$ rpm -q bash
bash-4.1.7-3.fc14.i686

Sometimes SSH, sometimes graphical terminal emulator. In most cases it is Terminal, Konsole, tilda or yakuake. I think it have no mater there.

Try as root too:
# env -i SANE_DEBUG_DLL=255 scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

Can new created user change anything??
Comment 38 Nils Philippsen 2011-06-08 05:48:57 EDT
Hm. Probably a stupid question, but I need to check if this is specific to sane or not: Do you get anything on stderr, I mean any error message from other commands? What does running the following give?

echo line one; echo line two >&2; echo line three
Comment 39 Nils Philippsen 2011-06-08 05:54:58 EDT
Another thing to check: Please switch SELinux into permissive mode and check if this command finally gives you any debugging output:

SANE_DEBUG_DLL=255 scanimage -L
Comment 40 Pavel Alexeev 2011-06-08 14:58:33 EDT
>Hm. Probably a stupid question, but I need to check if this is specific to sane
or not
We should exclude all possible variants :)

$ echo line one; echo line two >&2; echo line three
line one
line two
line three


There no SELinux on that machine enabled:
$ getenforce 
Disabled
Comment 41 Nils Philippsen 2011-06-15 05:04:37 EDT
It seems as if by concentrating on the environment variables I've been up a blind alley.

Anyway, the following line from the strace output above in comment #24 indicates that you don't really use the packaged SANE library but a different (probably self-built) one:

[...]
open("/usr/lib/sane/libsane.so.1", O_RDONLY) = 3
[...]

The library that should rather be used would be in /usr/lib/libsane.so.1 (note the missing /sane/ directory). It would be helpful if you moved this file (and other self-built ones if there are any) out of the way, verified that the SANE packages are intact ("rpm -Va sane-backends\*") and retried running scanimage:

SANE_DEBUG_DLL=255 scanimage -L
Comment 42 Pavel Alexeev 2011-06-15 07:03:46 EDT
I do not understand why there symlink to libsane-xerox_mfp.so.1.0.22, but all from Fedora repos:
# ll /usr/lib/sane/libsane.so.1
lrwxrwxrwx 1 root root 27 Апр  5 14:41 /usr/lib/sane/libsane.so.1 -> libsane-xerox_mfp.so.1.0.22
# rpm -qf /usr/lib/sane/libsane-xerox_mfp.so.1.0.22
sane-backends-libs-1.0.22-3.fc14.i686

# rpm -Va sane-backends\*
S.5....T.  c /etc/sane.d/dll.conf

I think I shouldn't delete manually there anything.
Comment 43 Pavel Alexeev 2011-06-15 08:27:31 EDT
Meantime I've tried delete symlink /usr/lib/sane/libsane.so.1 and yes, debug output processed, and scanner found!!!

I do not remember what I make such link manually. Furthermore I have not Xerox device and never had not...

Thank you very much.
Comment 44 Nils Philippsen 2011-06-16 08:53:23 EDT
(In reply to comment #43)
> Meantime I've tried delete symlink /usr/lib/sane/libsane.so.1 and yes, debug
> output processed, and scanner found!!!

I take it that your original issue is solved then, so I'll close the bug.

> I do not remember what I make such link manually. Furthermore I have not Xerox
> device and never had not...

A possible culprit of this could be if someone or something had run ldconfig in /usr/lib/sane: for reasons I don't understand all sane backend driver modules have the same SONAME as the main library and ldconfig, if run in that directory, would have just installed this symlink to one of them.
Comment 45 Pavel Alexeev 2011-06-24 10:14:47 EDT
>A possible culprit of this could be if someone or something had run ldconfig in
/usr/lib/sane: for reasons I don't understand all sane backend driver modules
have the same SONAME as the main library and ldconfig, if run in that
directory, would have just installed this symlink to one of them.

If so, it should be fixed in any case.

Note You need to log in before you can comment on or make changes to this bug.